#pragma once

#include "CoreMinimal.h"
#include "GenericTooltipViewData.h"
#include "ELockedElementType.h"
#include "DBDFeatureLockProgress.h"
#include "LockedFeatureTooltipViewData.generated.h"

USTRUCT(BlueprintType)
struct FLockedFeatureTooltipViewData : public FGenericTooltipViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ELockedElementType LockedElementType;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FDBDFeatureLockProgress FeatureLockProgress;

public:
	DBDUIVIEWINTERFACES_API FLockedFeatureTooltipViewData();
};

FORCEINLINE uint32 GetTypeHash(const FLockedFeatureTooltipViewData) { return 0; }
